This is the **InPhO Topic Explorer**.  It allows you to explore a collection of documents using pre-trained topic models.

**Topic models** represent documents as **mixtures** of topics. The topic model is trained by an algorithm that finds latent (hidden) relationships among the documents.  Typically we train models with different numbers of topics, which show different levels of detail in the documents. A model with more topics will, in general, show finer details.

If you would like more information about topic modeling, you can watch the video at [http://inphodata.cogs.indiana.edu/](http://inphodata.cogs.indiana.edu) and read the article by [David Blei (2012)](http://www.cs.columbia.edu/~blei/papers/Blei2012.pdf).

From this page you can explore the topic models in various ways using the large buttons in the middle of the page and the menu items on the left. On this page, you may also find some information about the specific corpus used to train the models, if the person who trained the models has provided it.

## Documents

The most effective way to start exploring via the documents in the corpus.

Once you click on the document icon a panel will appear in which you can either **click the crossed arrows button for a random document** or select a focal document for your exploration by **typing a few letters to match the title**.

You will be shown a “fingerprint” for the selected document, and you can navigate from this to the **Hypershelf** focused on that document.

## Topic

Clicking here will bring up a panel where you can enter a few words to identify related topics. From there you can go to the **topic map** that lays out and groups the topics from all the models according to their similarity. There is also additional help once you reach that page.

## Left Menu

Clicking on a number will take you to the **Hypershelf** for the model with the corresponding number of topics. Use the help function on that page to find out what to do next.

Clicking on the Topics (vertical bars) icon will take you to the topics map 
